#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xDD,0x9A,0xD4,0x73,0x04,0x9E,0xE5,0x7B,0xD1,0x26,0x59,0x33,
		0xF8,0xA0,0xD6,0x0D,0x83,0x66,0xD3,0x17,0x3C,0x95,0xFD,0xD3,
		0x5B,0x1C,0x7A,0x1F,0x34,0x75,0x9A,0xB1,0xD6,0x1B,0xD5,0x15,
		0x28,0x01,0x96,0xEA,0x93,0x42,0xFE,0xD2,0x45,0xCD,0xA8,0x7C,
		0x95,0xA7,0xEC,0x65,0x6E,0x6C,0x8A,0xEA,0xE6,0xEB,0xC2,0x42,
		0x5F,0x46,0x39,0xC3,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
